Skip to main content
`Ctrl`+`K`

# KSPCGGetNormD

Get norm of the direction when the solver is used inside `SNESNEWTONTR`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPCGGetNormD(KSP ksp, PetscReal *norm_d)

Not collective

## Input Parameters

- ksp - the iterative context

- norm_d - the norm of the direction

## See Also

KSP: Linear System Solvers, `KSP`, `KSPCG`, `KSPNASH`, `KSPSTCG`, `KSPGLTR`, `SNESNEWTONTR`

## Level

advanced

## Location

src/ksp/ksp/impls/cg/cgtype.c

## Implementations

KSPCGGetNormD_GLTR() in src/ksp/ksp/impls/cg/gltr/gltr.c
KSPCGGetNormD_NASH() in src/ksp/ksp/impls/cg/nash/nash.c
KSPCGGetNormD_STCG() in src/ksp/ksp/impls/cg/stcg/stcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages